OpenVDB: VolumeKernel Struct Reference

OpenVDB 8.0.0

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
VolumeKernel Struct Reference

The function definition and signature which is built by the VolumeComputeGenerator. More...

`#include <VolumeComputeGenerator.h>`

## Public Types
using | Signature = void(const void *const, const int32_t(*)[3], const float(*)[3], void **, void **, int64_t, void *)
using | FunctionTraitsT = codegen::FunctionTraits< Signature >

## Static Public Member Functions
static const std::array< std::string, N_ARGS > & | argumentKeys ()
static std::string | getDefaultName ()

## Static Public Attributes
static const size_t | N_ARGS = FunctionTraitsT::N_ARGS

## Detailed Description

The function definition and signature which is built by the VolumeComputeGenerator.

The argument structure is as follows:

    1) - A void pointer to the CustomData
    2) - A pointer to an array of three ints representing the
         current voxel coord being accessed
    3) - An pointer to an array of three floats representing the
         current voxel world space coord being accessed
    4) - A void pointer to a vector of void pointers, representing
         an array of grid accessors
    5) - A void pointer to a vector of void pointers, representing
         an array of grid transforms

## Member Typedef Documentation

## ◆ FunctionTraitsT

using FunctionTraitsT = codegen::FunctionTraits<Signature>

## ◆ Signature

using Signature = void(const void* const, const int32_t (*)[3], const float (*)[3], void**, void**, int64_t, void*)

## Member Function Documentation

## ◆ argumentKeys()

static const std::array<std::string, N_ARGS>& argumentKeys | ( |  | ) |
| static

## ◆ getDefaultName()

static std::string getDefaultName | ( |  | ) |
| static

## Member Data Documentation

## ◆ N_ARGS

const size_t N_ARGS = FunctionTraitsT::N_ARGS
| static

The documentation for this struct was generated from the following file:

- VolumeComputeGenerator.h